WBSIO(4) | Device Drivers Manual | WBSIO(4)

# NAME

`wbsio` —
Winbond (Nuvoton) LPC Super I/O

# SYNOPSIS

`wbsio* at isa? port 0x2e`
`wbsio* at isa? port 0x4e`
`lm* at wbsio?`
`gpio* at gpiobus?`

`options WBSIO_GPIO`

# DESCRIPTION

The `wbsio` driver provides support for the Winbond (was spun off as Nuvoton) LPC Super I/O ICs. The hardware monitoring function and GPIO are currently supported.

Support for the hardware monitor function is provided through the lm(4) driver. The GPIO function supports 64 pins for NCT6795D. Access to the pins provided by the gpio(4) interface.

# SEE ALSO

gpio(4), intro(4), isa(4), lm(4)

# HISTORY

The `wbsio` driver first appeared in OpenBSD 4.3. NetBSD support was added in NetBSD 6.0.

# AUTHORS

The `wbsio` driver was written by Mark Kettenis <kettenis@openbsd.org>. It was adapted to NetBSD by Constantine A. Murenin <cnst@NetBSD.org>.

December 12, 2017 | NetBSD 9.0